#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes
{
	#region PluginInfo
	[PluginInfo(Name = "BinaryToDecimal", Category = "Value", Help = "Basic template with one value in/out", Tags = "")]
	#endregion PluginInfo
	public class ValueBinaryToDecimalNode : IPluginEvaluate
	{
		#region fields & pins
        [Input("Input", DefaultString = "hello c#")]
        public ISpread<string> FInput;
		[Output("Output")]
		public ISpread<double> FOutput;

		[Import()]
		public ILogger FLogger;
		#endregion fields & pins

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			FOutput.SliceCount = SpreadMax;

			for (int i = 0; i < SpreadMax; i++)
				FOutput[i] = Convert.ToInt64(FInput[i],2);
			
			//Convert.ToInt64(bin,2);

			//FLogger.Log(LogType.Debug, "hi tty!");
		}
	}
}
